# Interface CompileTester.ChainingClause<T>

Type Parameters:
  `T` - the clause type returned by `and()`

All Known Subinterfaces:
  `CompileTester.CleanCompilationClause, CompileTester.ColumnClause<T>, CompileTester.FileClause<T>, CompileTester.LineClause<T>, CompileTester.SuccessfulCompilationClause, CompileTester.SuccessfulFileClause<T>`

Enclosing interface:
  `CompileTester`

public static interface CompileTester.ChainingClause<T>
The clause in the fluent API that allows for chaining test conditions.

Author:
  Gregory Kick

## Method Summary

Modifier and Type
Method
Description
`T`
`and()`

## Method Details

### and

T and()